Bug 889519 - [RFE] Offer only meaningful roles for an object & document roles relations to object
[RFE] Offer only meaningful roles for an object & document roles relations to...
Status: CLOSED WONTFIX
Product: ovirt-engine
Classification: oVirt
Component: RFEs (Show other bugs)
---
Unspecified Unspecified
unspecified Severity low (vote)
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
infra
: FutureFeature, Improvement
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-12-21 10:08 EST by Jiri Belka
Modified: 2016-02-10 14:39 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-01 07:20:43 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Infra
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
ydary: ovirt‑future?
rule-engine: planning_ack?
rule-engine: devel_ack?
rule-engine: testing_ack?


Attachments (Terms of Use)

  None (edit)
Description Jiri Belka 2012-12-21 10:08:51 EST
Description of problem:

While adding a role to a VM I can add roles such as 'SuperUser', 'StorageAdmin'... It doesn't make sense at all on this object.

From docs:

"StorageAdmin -	Storage Administrator -	Can create, delete, configure and manage a specific storage domain."

So 'StorageAdmin' is useless here (on VM), it should be filtered not to even try to confuse an administrator in Admin Portal. If the administrator believes he can choose from offered list a meaningful role, he is then confused it is not working as he expected. He can found explaination of such a role in documentation but it would be nice to have one single place where all roles and their relations to objects are documented (not spread around all documentation). Competitors provide easy readable documentation of roles. (Example for ESXI 5.0 - http://goo.gl/GCS8E)

Version-Release number of selected component (if applicable):
si25.2

How reproducible:
100%

Steps to Reproduce:
1. Try to add a role to a VM
2. Do you see 'SuperAdmin', 'StorageAdmin' ?
  
Actual results:
Meaningful roles in the role list for an object.
Roles explanation spread all over the documentation.

Expected results:
Filter roles in to those which are logically only related to an object.
One single place of documentation of roles and their respective objects relations.

Additional info:

Note You need to log in before you can comment on or make changes to this bug.